Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser

- org.apache.groovy.parser.antlr4.GroovyParser

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `GroovyParser.AdditiveExprAltContext` |
    `static class` | `GroovyParser.AndExprAltContext` |
    `static class` | `GroovyParser.AnnotatedQualifiedClassNameContext` |
    `static class` | `GroovyParser.AnnotationContext` |
    `static class` | `GroovyParser.AnnotationNameContext` |
    `static class` | `GroovyParser.AnnotationsOptContext` |
    `static class` | `GroovyParser.AnonymousInnerClassDeclarationContext` |
    `static class` | `GroovyParser.ArgumentsContext` |
    `static class` | `GroovyParser.ArrayInitializerContext` |
    `static class` | `GroovyParser.AssertStatementContext` |
    `static class` | `GroovyParser.AssertStmtAltContext` |
    `static class` | `GroovyParser.AssignmentExprAltContext` |
    `static class` | `GroovyParser.BlockContext` |
    `static class` | `GroovyParser.BlockStatementContext` |
    `static class` | `GroovyParser.BlockStatementsContext` |
    `static class` | `GroovyParser.BlockStatementsOptContext` |
    `static class` | `GroovyParser.BlockStmtAltContext` |
    `static class` | `GroovyParser.BooleanLiteralAltContext` |
    `static class` | `GroovyParser.BreakStatementContext` |
    `static class` | `GroovyParser.BreakStmtAltContext` |
    `static class` | `GroovyParser.BuiltInTypeContext` |
    `static class` | `GroovyParser.BuiltInTypePrmrAltContext` |
    `static class` | `GroovyParser.CastExprAltContext` |
    `static class` | `GroovyParser.CastParExpressionContext` |
    `static class` | `GroovyParser.CatchClauseContext` |
    `static class` | `GroovyParser.CatchTypeContext` |
    `static class` | `GroovyParser.ClassBodyContext` |
    `static class` | `GroovyParser.ClassBodyDeclarationContext` |
    `static class` | `GroovyParser.ClassDeclarationContext` |
    `static class` | `GroovyParser.ClassNameContext` |
    `static class` | `GroovyParser.ClassOrInterfaceModifierContext` |
    `static class` | `GroovyParser.ClassOrInterfaceModifiersContext` |
    `static class` | `GroovyParser.ClassOrInterfaceModifiersOptContext` |
    `static class` | `GroovyParser.ClassOrInterfaceTypeContext` |
    `static class` | `GroovyParser.ClassicalForControlContext` |
    `static class` | `GroovyParser.ClosureContext` |
    `static class` | `GroovyParser.ClosureOrLambdaExpressionContext` |
    `static class` | `GroovyParser.ClosureOrLambdaExpressionPrmrAltContext` |
    `static class` | `GroovyParser.CommandArgumentContext` |
    `static class` | `GroovyParser.CommandExprAltContext` |
    `static class` | `GroovyParser.CommandExpressionContext` |
    `static class` | `GroovyParser.CompilationUnitContext` |
    `static class` | `GroovyParser.ConditionalExprAltContext` |
    `static class` | `GroovyParser.ConditionalStatementContext` |
    `static class` | `GroovyParser.ConditionalStmtAltContext` |
    `static class` | `GroovyParser.ContinueStatementContext` |
    `static class` | `GroovyParser.ContinueStmtAltContext` |
    `static class` | `GroovyParser.CreatedNameContext` |
    `static class` | `GroovyParser.CreatorContext` |
    `static class` | `GroovyParser.DimContext` |
    `static class` | `GroovyParser.DoWhileStmtAltContext` |
    `static class` | `GroovyParser.DynamicMemberNameContext` |
    `static class` | `GroovyParser.ElementValueArrayInitializerContext` |
    `static class` | `GroovyParser.ElementValueContext` |
    `static class` | `GroovyParser.ElementValuePairContext` |
    `static class` | `GroovyParser.ElementValuePairNameContext` |
    `static class` | `GroovyParser.ElementValuePairsContext` |
    `static class` | `GroovyParser.ElementValuesContext` |
    `static class` | `GroovyParser.EmptyDimsContext` |
    `static class` | `GroovyParser.EmptyDimsOptContext` |
    `static class` | `GroovyParser.EmptyStmtAltContext` |
    `static class` | `GroovyParser.EnhancedArgumentListContext` |
    `static class` | `GroovyParser.EnhancedArgumentListElementContext` |
    `static class` | `GroovyParser.EnhancedForControlContext` |
    `static class` | `GroovyParser.EnhancedStatementExpressionContext` |
    `static class` | `GroovyParser.EnumConstantContext` |
    `static class` | `GroovyParser.EnumConstantsContext` |
    `static class` | `GroovyParser.EqualityExprAltContext` |
    `static class` | `GroovyParser.ExclusiveOrExprAltContext` |
    `static class` | `GroovyParser.ExpressionContext` |
    `static class` | `GroovyParser.ExpressionInParContext` |
    `static class` | `GroovyParser.ExpressionListContext` |
    `static class` | `GroovyParser.ExpressionListElementContext` |
    `static class` | `GroovyParser.ExpressionStmtAltContext` |
    `static class` | `GroovyParser.FieldDeclarationContext` |
    `static class` | `GroovyParser.FinallyBlockContext` |
    `static class` | `GroovyParser.FloatingPointLiteralAltContext` |
    `static class` | `GroovyParser.ForControlContext` |
    `static class` | `GroovyParser.ForInitContext` |
    `static class` | `GroovyParser.ForStmtAltContext` |
    `static class` | `GroovyParser.ForUpdateContext` |
    `static class` | `GroovyParser.FormalParameterContext` |
    `static class` | `GroovyParser.FormalParameterListContext` |
    `static class` | `GroovyParser.FormalParametersContext` |
    `static class` | `GroovyParser.GroovyParserRuleContext` |
    `static class` | `GroovyParser.GstringContext` |
    `static class` | `GroovyParser.GstringPathContext` |
    `static class` | `GroovyParser.GstringPrmrAltContext` |
    `static class` | `GroovyParser.GstringValueContext` |
    `static class` | `GroovyParser.IdentifierContext` |
    `static class` | `GroovyParser.IdentifierPrmrAltContext` |
    `static class` | `GroovyParser.IfElseStatementContext` |
    `static class` | `GroovyParser.ImportDeclarationContext` |
    `static class` | `GroovyParser.InclusiveOrExprAltContext` |
    `static class` | `GroovyParser.IndexPropertyArgsContext` |
    `static class` | `GroovyParser.IntegerLiteralAltContext` |
    `static class` | `GroovyParser.KeywordsContext` |
    `static class` | `GroovyParser.LabeledStmtAltContext` |
    `static class` | `GroovyParser.LambdaBodyContext` |
    `static class` | `GroovyParser.ListContext` |
    `static class` | `GroovyParser.ListPrmrAltContext` |
    `static class` | `GroovyParser.LiteralContext` |
    `static class` | `GroovyParser.LiteralPrmrAltContext` |
    `static class` | `GroovyParser.LocalVariableDeclarationContext` |
    `static class` | `GroovyParser.LocalVariableDeclarationStmtAltContext` |
    `static class` | `GroovyParser.LogicalAndExprAltContext` |
    `static class` | `GroovyParser.LogicalOrExprAltContext` |
    `static class` | `GroovyParser.LoopStatementContext` |
    `static class` | `GroovyParser.LoopStmtAltContext` |
    `static class` | `GroovyParser.MapContext` |
    `static class` | `GroovyParser.MapEntryContext` |
    `static class` | `GroovyParser.MapEntryLabelContext` |
    `static class` | `GroovyParser.MapEntryListContext` |
    `static class` | `GroovyParser.MapPrmrAltContext` |
    `static class` | `GroovyParser.MemberDeclarationContext` |
    `static class` | `GroovyParser.MethodBodyContext` |
    `static class` | `GroovyParser.MethodDeclarationContext` |
    `static class` | `GroovyParser.MethodDeclarationStmtAltContext` |
    `static class` | `GroovyParser.MethodNameContext` |
    `static class` | `GroovyParser.ModifierContext` |
    `static class` | `GroovyParser.ModifiersContext` |
    `static class` | `GroovyParser.ModifiersOptContext` |
    `static class` | `GroovyParser.MultipleAssignmentExprAltContext` |
    `static class` | `GroovyParser.MultiplicativeExprAltContext` |
    `static class` | `GroovyParser.NamePartContext` |
    `static class` | `GroovyParser.NamedPropertyArgsContext` |
    `static class` | `GroovyParser.NewPrmrAltContext` |
    `static class` | `GroovyParser.NlsContext` |
    `static class` | `GroovyParser.NonWildcardTypeArgumentsContext` |
    `static class` | `GroovyParser.NullLiteralAltContext` |
    `static class` | `GroovyParser.PackageDeclarationContext` |
    `static class` | `GroovyParser.ParExpressionContext` |
    `static class` | `GroovyParser.ParenPrmrAltContext` |
    `static class` | `GroovyParser.PathElementContext` |
    `static class` | `GroovyParser.PathExpressionContext` |
    `static class` | `GroovyParser.PostfixExprAltContext` |
    `static class` | `GroovyParser.PostfixExpressionContext` |
    `static class` | `GroovyParser.PowerExprAltContext` |
    `static class` | `GroovyParser.PrimaryContext` |
    `static class` | `GroovyParser.PrimitiveTypeContext` |
    `static class` | `GroovyParser.QualifiedClassNameContext` |
    `static class` | `GroovyParser.QualifiedClassNameListContext` |
    `static class` | `GroovyParser.QualifiedNameContext` |
    `static class` | `GroovyParser.QualifiedNameElementContext` |
    `static class` | `GroovyParser.QualifiedNameElementsContext` |
    `static class` | `GroovyParser.QualifiedStandardClassNameContext` |
    `static class` | `GroovyParser.RegexExprAltContext` |
    `static class` | `GroovyParser.RelationalExprAltContext` |
    `static class` | `GroovyParser.ResourceContext` |
    `static class` | `GroovyParser.ResourceListContext` |
    `static class` | `GroovyParser.ResourcesContext` |
    `static class` | `GroovyParser.ReturnStmtAltContext` |
    `static class` | `GroovyParser.ReturnTypeContext` |
    `static class` | `GroovyParser.RparenContext` |
    `static class` | `GroovyParser.ScriptStatementContext` |
    `static class` | `GroovyParser.ScriptStatementsContext` |
    `static class` | `GroovyParser.SepContext` |
    `static class` | `GroovyParser.ShiftExprAltContext` |
    `static class` | `GroovyParser.StandardLambdaExpressionContext` |
    `static class` | `GroovyParser.StandardLambdaParametersContext` |
    `static class` | `GroovyParser.StatementContext` |
    `static class` | `GroovyParser.StatementExpressionContext` |
    `static class` | `GroovyParser.StringLiteralAltContext` |
    `static class` | `GroovyParser.StringLiteralContext` |
    `static class` | `GroovyParser.SuperPrmrAltContext` |
    `static class` | `GroovyParser.SwitchBlockStatementGroupContext` |
    `static class` | `GroovyParser.SwitchLabelContext` |
    `static class` | `GroovyParser.SwitchStatementContext` |
    `static class` | `GroovyParser.SynchronizedStmtAltContext` |
    `static class` | `GroovyParser.ThisFormalParameterContext` |
    `static class` | `GroovyParser.ThisPrmrAltContext` |
    `static class` | `GroovyParser.ThrowStmtAltContext` |
    `static class` | `GroovyParser.TryCatchStatementContext` |
    `static class` | `GroovyParser.TryCatchStmtAltContext` |
    `static class` | `GroovyParser.TypeArgumentContext` |
    `static class` | `GroovyParser.TypeArgumentsContext` |
    `static class` | `GroovyParser.TypeArgumentsOrDiamondContext` |
    `static class` | `GroovyParser.TypeBoundContext` |
    `static class` | `GroovyParser.TypeContext` |
    `static class` | `GroovyParser.TypeDeclarationContext` |
    `static class` | `GroovyParser.TypeListContext` |
    `static class` | `GroovyParser.TypeNamePairContext` |
    `static class` | `GroovyParser.TypeNamePairsContext` |
    `static class` | `GroovyParser.TypeParameterContext` |
    `static class` | `GroovyParser.TypeParametersContext` |
    `static class` | `GroovyParser.UnaryAddExprAltContext` |
    `static class` | `GroovyParser.UnaryNotExprAltContext` |
    `static class` | `GroovyParser.VariableDeclarationContext` |
    `static class` | `GroovyParser.VariableDeclaratorContext` |
    `static class` | `GroovyParser.VariableDeclaratorIdContext` |
    `static class` | `GroovyParser.VariableDeclaratorsContext` |
    `static class` | `GroovyParser.VariableInitializerContext` |
    `static class` | `GroovyParser.VariableInitializersContext` |
    `static class` | `GroovyParser.VariableModifierContext` |
    `static class` | `GroovyParser.VariableModifiersContext` |
    `static class` | `GroovyParser.VariableModifiersOptContext` |
    `static class` | `GroovyParser.VariableNamesContext` |
    `static class` | `GroovyParser.WhileStmtAltContext` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static int` | `RULE_compilationUnit` |
    `static int` | `StringLiteral` |
    `static Vocabulary` | `VOCABULARY` |
    `static ATN` | `_ATN` |
    `static String` | `_serializedATN` |
    `static String[]` | `ruleNames` |
    `static String[]` | `tokenNames` | deprecated: Use VOCABULARY instead.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyParser (TokenStream input)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `AnnotatedQualifiedClassNameContext` | `annotatedQualifiedClassName()`
    `` | `AnnotationContext` | `annotation()`
    `` | `AnnotationNameContext` | `annotationName()`
    `` | `AnnotationsOptContext` | `annotationsOpt()`
    `` | `AnonymousInnerClassDeclarationContext` | `anonymousInnerClassDeclaration(int t)`
    `` | `EnhancedArgumentListContext` | `argumentList()`
    `` | `EnhancedArgumentListElementContext` | `argumentListElement()`
    `` | `ArgumentsContext` | `arguments()`
    `` | `ArrayInitializerContext` | `arrayInitializer()`
    `` | `AssertStatementContext` | `assertStatement()`
    `` | `BlockContext` | `block()`
    `` | `BlockStatementContext` | `blockStatement()`
    `` | `BlockStatementsContext` | `blockStatements()`
    `` | `BlockStatementsOptContext` | `blockStatementsOpt()`
    `` | `BreakStatementContext` | `breakStatement()`
    `` | `BuiltInTypeContext` | `builtInType()`
    `` | `ExpressionContext` | `castOperandExpression()`
    `` | `CastParExpressionContext` | `castParExpression()`
    `` | `CatchClauseContext` | `catchClause()`
    `` | `CatchTypeContext` | `catchType()`
    `` | `ClassBodyContext` | `classBody(int t)`
    `` | `ClassBodyDeclarationContext` | `classBodyDeclaration(int t)`
    `` | `ClassDeclarationContext` | `classDeclaration()`
    `` | `ClassNameContext` | `className()`
    `` | `ClassOrInterfaceModifierContext` | `classOrInterfaceModifier()`
    `` | `ClassOrInterfaceModifiersContext` | `classOrInterfaceModifiers()`
    `` | `ClassOrInterfaceModifiersOptContext` | `classOrInterfaceModifiersOpt()`
    `` | `ClassOrInterfaceTypeContext` | `classOrInterfaceType()`
    `` | `ClassicalForControlContext` | `classicalForControl()`
    `` | `ClosureContext` | `closure()`
    `` | `ClosureOrLambdaExpressionContext` | `closureOrLambdaExpression()`
    `` | `CommandArgumentContext` | `commandArgument()`
    `` | `CommandExpressionContext` | `commandExpression()`
    `` | `PrimaryContext` | `commandPrimary()`
    `` | `CompilationUnitContext` | `compilationUnit()`
    `` | `ConditionalStatementContext` | `conditionalStatement()`
    `` | `ContinueStatementContext` | `continueStatement()`
    `` | `protected FailedPredicateException` | `createFailedPredicateException(String predicate, String message)`
    `` | `CreatedNameContext` | `createdName()`
    `` | `CreatorContext` | `creator(int t)`
    `` | `DimContext` | `dim()`
    `` | `DynamicMemberNameContext` | `dynamicMemberName()`
    `` | `ElementValueContext` | `elementValue()`
    `` | `ElementValueArrayInitializerContext` | `elementValueArrayInitializer()`
    `` | `ElementValuePairContext` | `elementValuePair()`
    `` | `ElementValuePairNameContext` | `elementValuePairName()`
    `` | `ElementValuePairsContext` | `elementValuePairs()`
    `` | `ElementValuesContext` | `elementValues()`
    `` | `EmptyDimsContext` | `emptyDims()`
    `` | `EmptyDimsOptContext` | `emptyDimsOpt()`
    `` | `EnhancedArgumentListContext` | `enhancedArgumentList()`
    `` | `EnhancedArgumentListElementContext` | `enhancedArgumentListElement()`
    `` | `EnhancedForControlContext` | `enhancedForControl()`
    `` | `EnhancedStatementExpressionContext` | `enhancedStatementExpression()`
    `` | `EnumConstantContext` | `enumConstant()`
    `` | `EnumConstantsContext` | `enumConstants()`
    `` | `ExpressionContext` | `expression()`
    `` | `ExpressionInParContext` | `expressionInPar()`
    `` | `ExpressionListContext` | `expressionList(boolean canSpread)`
    `` | `ExpressionListElementContext` | `expressionListElement(boolean canSpread)`
    `` | `FieldDeclarationContext` | `fieldDeclaration()`
    `` | `FinallyBlockContext` | `finallyBlock()`
    `` | `ForControlContext` | `forControl()`
    `` | `ForInitContext` | `forInit()`
    `` | `ForUpdateContext` | `forUpdate()`
    `` | `FormalParameterContext` | `formalParameter()`
    `` | `FormalParameterListContext` | `formalParameterList()`
    `` | `FormalParametersContext` | `formalParameters()`
    `` | `ClassOrInterfaceTypeContext` | `generalClassOrInterfaceType()`
    `` | `int` | `getErrorColumn()`
    `` | `int` | `getErrorLine()`
    `` | `String` | `getGrammarFileName()`
    `` | `String[]` | `getRuleNames()`
    `` | `String` | `getSerializedATN()`
    `` | `int` | `getSyntaxErrorSource()`
    `` | `String[]` | `getTokenNames()`
    `` | `Vocabulary` | `getVocabulary()`
    `` | `GstringContext` | `gstring()`
    `` | `GstringPathContext` | `gstringPath()`
    `` | `GstringValueContext` | `gstringValue()`
    `` | `IdentifierContext` | `identifier()`
    `` | `IfElseStatementContext` | `ifElseStatement()`
    `` | `ImportDeclarationContext` | `importDeclaration()`
    `` | `IndexPropertyArgsContext` | `indexPropertyArgs()`
    `` | `KeywordsContext` | `keywords()`
    `` | `LambdaBodyContext` | `lambdaBody()`
    `` | `StandardLambdaExpressionContext` | `lambdaExpression()`
    `` | `StandardLambdaParametersContext` | `lambdaParameters()`
    `` | `ListContext` | `list()`
    `` | `LiteralContext` | `literal()`
    `` | `LocalVariableDeclarationContext` | `localVariableDeclaration()`
    `` | `LoopStatementContext` | `loopStatement()`
    `` | `MapContext` | `map()`
    `` | `MapEntryContext` | `mapEntry()`
    `` | `MapEntryLabelContext` | `mapEntryLabel()`
    `` | `MapEntryListContext` | `mapEntryList()`
    `` | `MemberDeclarationContext` | `memberDeclaration(int t)`
    `` | `MethodBodyContext` | `methodBody()`
    `` | `MethodDeclarationContext` | `methodDeclaration(int t, int ct)`
    `` | `MethodNameContext` | `methodName()`
    `` | `ModifierContext` | `modifier()`
    `` | `ModifiersContext` | `modifiers()`
    `` | `ModifiersOptContext` | `modifiersOpt()`
    `` | `NamePartContext` | `namePart()`
    `` | `MapEntryContext` | `namedPropertyArg()`
    `` | `MapEntryLabelContext` | `namedPropertyArgLabel()`
    `` | `MapEntryListContext` | `namedPropertyArgList()`
    `` | `PrimaryContext` | `namedPropertyArgPrimary()`
    `` | `NamedPropertyArgsContext` | `namedPropertyArgs()`
    `` | `NlsContext` | `nls()`
    `` | `NonWildcardTypeArgumentsContext` | `nonWildcardTypeArguments()`
    `` | `PackageDeclarationContext` | `packageDeclaration()`
    `` | `ParExpressionContext` | `parExpression()`
    `` | `PathElementContext` | `pathElement()`
    `` | `PathExpressionContext` | `pathExpression()`
    `` | `PostfixExpressionContext` | `postfixExpression()`
    `` | `PrimaryContext` | `primary()`
    `` | `PrimitiveTypeContext` | `primitiveType()`
    `` | `QualifiedClassNameContext` | `qualifiedClassName()`
    `` | `QualifiedClassNameListContext` | `qualifiedClassNameList()`
    `` | `QualifiedNameContext` | `qualifiedName()`
    `` | `QualifiedNameElementContext` | `qualifiedNameElement()`
    `` | `QualifiedNameElementsContext` | `qualifiedNameElements()`
    `` | `QualifiedStandardClassNameContext` | `qualifiedStandardClassName()`
    `` | `ResourceContext` | `resource()`
    `` | `ResourceListContext` | `resourceList()`
    `` | `ResourcesContext` | `resources()`
    `` | `ReturnTypeContext` | `returnType(int ct)`
    `` | `RparenContext` | `rparen()`
    `` | `ScriptStatementContext` | `scriptStatement()`
    `` | `ScriptStatementsContext` | `scriptStatements()`
    `` | `boolean` | `sempred(RuleContext _localctx, int ruleIndex, int predIndex)`
    `` | `SepContext` | `sep()`
    `` | `ClassOrInterfaceTypeContext` | `standardClassOrInterfaceType()`
    `` | `StandardLambdaExpressionContext` | `standardLambdaExpression()`
    `` | `StandardLambdaParametersContext` | `standardLambdaParameters()`
    `` | `TypeContext` | `standardType()`
    `` | `StatementContext` | `statement()`
    `` | `StatementExpressionContext` | `statementExpression()`
    `` | `StringLiteralContext` | `stringLiteral()`
    `` | `SwitchBlockStatementGroupContext` | `switchBlockStatementGroup()`
    `` | `SwitchLabelContext` | `switchLabel()`
    `` | `SwitchStatementContext` | `switchStatement()`
    `` | `ThisFormalParameterContext` | `thisFormalParameter()`
    `` | `TryCatchStatementContext` | `tryCatchStatement()`
    `` | `TypeContext` | `type()`
    `` | `TypeArgumentContext` | `typeArgument()`
    `` | `TypeArgumentsContext` | `typeArguments()`
    `` | `TypeArgumentsOrDiamondContext` | `typeArgumentsOrDiamond()`
    `` | `TypeBoundContext` | `typeBound()`
    `` | `TypeDeclarationContext` | `typeDeclaration()`
    `` | `TypeListContext` | `typeList()`
    `` | `TypeNamePairContext` | `typeNamePair()`
    `` | `TypeNamePairsContext` | `typeNamePairs()`
    `` | `TypeParameterContext` | `typeParameter()`
    `` | `TypeParametersContext` | `typeParameters()`
    `` | `VariableDeclarationContext` | `variableDeclaration(int t)`
    `` | `VariableDeclaratorContext` | `variableDeclarator()`
    `` | `VariableDeclaratorIdContext` | `variableDeclaratorId()`
    `` | `VariableDeclaratorsContext` | `variableDeclarators()`
    `` | `VariableInitializerContext` | `variableInitializer()`
    `` | `VariableInitializersContext` | `variableInitializers()`
    `` | `VariableModifierContext` | `variableModifier()`
    `` | `VariableModifiersContext` | `variableModifiers()`
    `` | `VariableModifiersOptContext` | `variableModifiersOpt()`
    `` | `VariableNamesContext` | `variableNames()`

- - ### Field Detail

    - #### public static final int RULE_compilationUnit

    - #### public static final int StringLiteral

    - #### public static final Vocabulary VOCABULARY

    - #### public static final ATN _ATN

    - #### public static final String _serializedATN

    - #### public static final String[] ruleNames

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated public static final String[] tokenNames

      deprecated:
        Use VOCABULARY instead.

  - ### Constructor Detail

    - #### public GroovyParser(TokenStream input)

  - ### Method Detail

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final AnnotatedQualifiedClassNameContext annotatedQualifiedClassName()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final AnnotationContext annotation()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final AnnotationNameContext annotationName()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final AnnotationsOptContext annotationsOpt()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final AnonymousInnerClassDeclarationContext anonymousInnerClassDeclaration(int t)

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final EnhancedArgumentListContext argumentList()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final EnhancedArgumentListElementContext argumentListElement()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ArgumentsContext arguments()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ArrayInitializerContext arrayInitializer()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final AssertStatementContext assertStatement()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final BlockContext block()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final BlockStatementContext blockStatement()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final BlockStatementsContext blockStatements()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final BlockStatementsOptContext blockStatementsOpt()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final BreakStatementContext breakStatement()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final BuiltInTypeContext builtInType()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ExpressionContext castOperandExpression()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final CastParExpressionContext castParExpression()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final CatchClauseContext catchClause()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final CatchTypeContext catchType()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ClassBodyContext classBody(int t)

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ClassBodyDeclarationContext classBodyDeclaration(int t)

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ClassDeclarationContext classDeclaration()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ClassNameContext className()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ClassOrInterfaceModifierContext classOrInterfaceModifier()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ClassOrInterfaceModifiersContext classOrInterfaceModifiers()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ClassOrInterfaceModifiersOptContext classOrInterfaceModifiersOpt()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ClassOrInterfaceTypeContext classOrInterfaceType()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ClassicalForControlContext classicalForControl()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ClosureContext closure()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ClosureOrLambdaExpressionContext closureOrLambdaExpression()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final CommandArgumentContext commandArgument()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final CommandExpressionContext commandExpression()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final PrimaryContext commandPrimary()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final CompilationUnitContext compilationUnit()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ConditionalStatementContext conditionalStatement()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ContinueStatementContext continueStatement()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull protected FailedPredicateException createFailedPredicateException(@com.github.javaparser.ast.expr.MarkerAnnotationExprNullable String predicate, @com.github.javaparser.ast.expr.MarkerAnnotationExprNullable String message)

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final CreatedNameContext createdName()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final CreatorContext creator(int t)

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final DimContext dim()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final DynamicMemberNameContext dynamicMemberName()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ElementValueContext elementValue()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ElementValueArrayInitializerContext elementValueArrayInitializer()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ElementValuePairContext elementValuePair()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ElementValuePairNameContext elementValuePairName()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ElementValuePairsContext elementValuePairs()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ElementValuesContext elementValues()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final EmptyDimsContext emptyDims()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final EmptyDimsOptContext emptyDimsOpt()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final EnhancedArgumentListContext enhancedArgumentList()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final EnhancedArgumentListElementContext enhancedArgumentListElement()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final EnhancedForControlContext enhancedForControl()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final EnhancedStatementExpressionContext enhancedStatementExpression()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final EnumConstantContext enumConstant()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final EnumConstantsContext enumConstants()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ExpressionContext expression()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ExpressionInParContext expressionInPar()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ExpressionListContext expressionList(boolean canSpread)

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ExpressionListElementContext expressionListElement(boolean canSpread)

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final FieldDeclarationContext fieldDeclaration()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final FinallyBlockContext finallyBlock()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ForControlContext forControl()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ForInitContext forInit()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ForUpdateContext forUpdate()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final FormalParameterContext formalParameter()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final FormalParameterListContext formalParameterList()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final FormalParametersContext formalParameters()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ClassOrInterfaceTypeContext generalClassOrInterfaceType()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public int getErrorColumn()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public int getErrorLine()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public String getGrammarFileName()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public String[] getRuleNames()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public String getSerializedATN()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public int getSyntaxErrorSource()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated public String[] getTokenNames()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride @com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull public Vocabulary getVocabulary()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final GstringContext gstring()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final GstringPathContext gstringPath()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final GstringValueContext gstringValue()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final IdentifierContext identifier()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final IfElseStatementContext ifElseStatement()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ImportDeclarationContext importDeclaration()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final IndexPropertyArgsContext indexPropertyArgs()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final KeywordsContext keywords()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final LambdaBodyContext lambdaBody()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final StandardLambdaExpressionContext lambdaExpression()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final StandardLambdaParametersContext lambdaParameters()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ListContext list()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final LiteralContext literal()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final LocalVariableDeclarationContext localVariableDeclaration()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final LoopStatementContext loopStatement()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final MapContext map()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final MapEntryContext mapEntry()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final MapEntryLabelContext mapEntryLabel()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final MapEntryListContext mapEntryList()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final MemberDeclarationContext memberDeclaration(int t)

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final MethodBodyContext methodBody()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final MethodDeclarationContext methodDeclaration(int t, int ct)

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final MethodNameContext methodName()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ModifierContext modifier()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ModifiersContext modifiers()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ModifiersOptContext modifiersOpt()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final NamePartContext namePart()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final MapEntryContext namedPropertyArg()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final MapEntryLabelContext namedPropertyArgLabel()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final MapEntryListContext namedPropertyArgList()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final PrimaryContext namedPropertyArgPrimary()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final NamedPropertyArgsContext namedPropertyArgs()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final NlsContext nls()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final NonWildcardTypeArgumentsContext nonWildcardTypeArguments()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final PackageDeclarationContext packageDeclaration()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ParExpressionContext parExpression()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final PathElementContext pathElement()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final PathExpressionContext pathExpression()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final PostfixExpressionContext postfixExpression()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final PrimaryContext primary()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final PrimitiveTypeContext primitiveType()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final QualifiedClassNameContext qualifiedClassName()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final QualifiedClassNameListContext qualifiedClassNameList()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final QualifiedNameContext qualifiedName()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final QualifiedNameElementContext qualifiedNameElement()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final QualifiedNameElementsContext qualifiedNameElements()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final QualifiedStandardClassNameContext qualifiedStandardClassName()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ResourceContext resource()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ResourceListContext resourceList()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ResourcesContext resources()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ReturnTypeContext returnType(int ct)

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final RparenContext rparen()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ScriptStatementContext scriptStatement()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ScriptStatementsContext scriptStatements()

    - #### public boolean sempred(RuleContext _localctx, int ruleIndex, int predIndex)

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final SepContext sep()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ClassOrInterfaceTypeContext standardClassOrInterfaceType()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final StandardLambdaExpressionContext standardLambdaExpression()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final StandardLambdaParametersContext standardLambdaParameters()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final TypeContext standardType()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final StatementContext statement()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final StatementExpressionContext statementExpression()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final StringLiteralContext stringLiteral()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final SwitchBlockStatementGroupContext switchBlockStatementGroup()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final SwitchLabelContext switchLabel()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final SwitchStatementContext switchStatement()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final ThisFormalParameterContext thisFormalParameter()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final TryCatchStatementContext tryCatchStatement()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final TypeContext type()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final TypeArgumentContext typeArgument()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final TypeArgumentsContext typeArguments()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final TypeArgumentsOrDiamondContext typeArgumentsOrDiamond()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final TypeBoundContext typeBound()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final TypeDeclarationContext typeDeclaration()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final TypeListContext typeList()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final TypeNamePairContext typeNamePair()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final TypeNamePairsContext typeNamePairs()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final TypeParameterContext typeParameter()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final TypeParametersContext typeParameters()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final VariableDeclarationContext variableDeclaration(int t)

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final VariableDeclaratorContext variableDeclarator()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final VariableDeclaratorIdContext variableDeclaratorId()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final VariableDeclaratorsContext variableDeclarators()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final VariableInitializerContext variableInitializer()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final VariableInitializersContext variableInitializers()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final VariableModifierContext variableModifier()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final VariableModifiersContext variableModifiers()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final VariableModifiersOptContext variableModifiersOpt()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprRuleVersion public final VariableNamesContext variableNames()